#include <iostream>
#include <algorithm>
#include <vector>
#include <cstdint>
:
#define let auto
#define fn auto
#define usize size_t
#define u64 uint64_t
#define i64 int64_t
using namespace std;

fn fastio() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
}

fn main() -> int {
    fastio();
    u64 r, u, n;

    cin >> r >> u >> n;
    // f(n-2) f(n-1) f(n)
    // f(n-2) * r + f(n-1) * u
    // 일정 이상의 n에 대해서 f(n-2)와 f(n-1)은 서로소임.

}